Package org.apache.tapestry5.internal.services

## Class ComponentEventRequestHandlerImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.ComponentEventRequestHandlerImpl

- All Implemented Interfaces:
    `ComponentEventRequestHandler`

      public class ComponentEventRequestHandlerImpl
      extends java.lang.Object
      implements ComponentEventRequestHandler

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComponentEventRequestHandlerImpl​(ComponentEventResultProcessor resultProcessor, RequestPageCache cache, Response response, PageActivator pageActivator, Environment environment)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handle​(ComponentEventRequestParameters parameters)` | Handler for a component action request which will trigger an event on a component and use the return value to send a response to the client (typically, a redirect to a page render URL).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentEventRequestHandlerImpl

          public ComponentEventRequestHandlerImpl​(@Traditional @Primary
                                                  ComponentEventResultProcessor resultProcessor,
                                                  RequestPageCache cache,
                                                  Response response,
                                                  PageActivator pageActivator,
                                                  Environment environment)

  - ### Method Detail

    - #### handle

          public void handle​(ComponentEventRequestParameters parameters)
                      throws java.io.IOException

      Description copied from interface: `ComponentEventRequestHandler`
      Handler for a component action request which will trigger an event on a component and use the return value to send a response to the client (typically, a redirect to a page render URL).
      Specified by:
        `handle` in interface `ComponentEventRequestHandler`
      Parameters:
        `parameters` - defining the requst
      Throws:
        `java.io.IOException`